## diag_pack

### Use

To be able to comprehensively diagnose a database problem, support requires a significant number of database instance log files. Using this command, you can collect all of the required log files in a compressed archive file.

Default Values of the Database Manager for this Archive File:

File name | diagpack.tgz
Directory | Run directory of the database instance
File ID | DIAGTGZ

See also:

Concepts of the Database System, Log Files

### Prerequisites

You have the server authorization DBFileRead.

### Syntax

diag_pack [file=<archive>] [class=<spec_list> | class=hist[,<spec_list>] date=<timestamp>]

<spec_list>:: = <class_spec> | <class_spec>,...

Options

Option | Description
<archive> | Name and path of the archive file that you want to create, Default value: see above
<class_spec> | Class of files that you want to include in the package For possible values, see: Glossary, File Class The default value is protocol Separate multiple classes with commas.
<timestamp> | Time stamp of the diagnosis file, additional parameter for the hist class You determine the time stamp by displaying the list of available diagnosis files (see: diag_histlist)

### Reply

OK

In the event of errors, see Reply Format.